Subject: bug#17971: 24.3.92; Patch to fix el compression on RHEL/CentOS 7

From: Stephen Hassard <[email-masked]>
Date: Wed, 9 Jul 2014 10:29:32 -0700

Strangely it looks like find 4.5 builds have been in Fedora since at least
FC18.

Testing the behaviour, it appears that the .el file is successfully
compressed to make-mode.el.gz, but find errors out. It seems like it might
be doing a stat on the .el file after gzip does it's work.

It appears that Emacs 24.3 has a different find command for the compression
which doesn't seem to exacerbate the regression in find 4.5.

On Wed, Jul 9, 2014 at 9:34 AM, Glenn Morris <[email-masked]> wrote:

> Stephen Hassard wrote:
>
> > For fun I built a copy of findutils-4.5.12 from alpha.gnu.org and found
> > that it's suffering the same regression as CentOS's bundled find.
>
> Thanks for investigating.
> Do you understand why new find is failing?
> Is it a bug in find, or ...?
>
> After it says:
>
> > find: './progmodes/make-mode.el': No such file or directory
>
> does make-mode.el.gz exist (meaning it somehow got exec'd twice, which
> seems like a find bug); or was find somehow in a different directory
> (which also would seem like a find bug)?
>
> Since today's RHEL is yesterday's Fedora, I'm a bit surprised this
> hasn't been reported before. I looked in RH bugzilla but did not see
> anything relevant.
>
> BTW, I'm surprised to see that RHEL7 (long-term enterprise release) has
> ended up with a findutils version from the 4.5 series, which looks like
> a development branch. Even Debian unstable still has 4.4*.
>